Index: libfac/Makefile.in
===================================================================
--- libfac/Makefile.in	(revision a1ab2ad335673d42afccba3164861a0ec1b2e025)
+++ libfac/Makefile.in	(revision 6742c89cf0ef92778f8b9ab55e697d7ff897f47a)
@@ -1,3 +1,3 @@
-# $Id: Makefile.in,v 1.12 2007-08-03 11:32:05 Singular Exp $
+# $Id: Makefile.in,v 1.13 2007-10-10 17:52:39 Singular Exp $
 #################################################
 SHELL		= /bin/sh
@@ -51,5 +51,5 @@
 FACTORSRC1 =	factor/SqrFree.cc factor/Factor.cc \
 		factor/MVMultiHensel.cc factor/Truefactor.cc \
-		factor/helpstuff.cc  factor/debug.cc factor/version.cc \
+		factor/helpstuff.cc  factor/version.cc \
 		factor/homogfactor.cc 
 FACTORSRC2 =	factor/tmpl_inst.cc
@@ -68,5 +68,5 @@
 OPTFACTOROBJ1 =	OPTOBJ/SqrFree.o OPTOBJ/Factor.o OPTOBJ/MVMultiHensel.o \
 		OPTOBJ/Truefactor.o OPTOBJ/helpstuff.o OPTOBJ/version.o \
-		OPTOBJ/homogfactor.o OPTOBJ/debug.o
+		OPTOBJ/homogfactor.o
 OPTFACTOROBJ2 =	OPTOBJ/tmpl_inst.o
 OPTFACTOROBJ =	$(OPTFACTOROBJ2) $(OPTFACTOROBJ1)
@@ -77,5 +77,5 @@
 DEBFACTOROBJ1 =	DEBOBJ/SqrFree.o DEBOBJ/Factor.o DEBOBJ/MVMultiHensel.o \
 		DEBOBJ/Truefactor.o DEBOBJ/helpstuff.o DEBOBJ/version.o \
-		DEBOBJ/homogfactor.o DEBOBJ/debug.o
+		DEBOBJ/homogfactor.o
 DEBFACTOROBJ2 =	DEBOBJ/tmpl_inst.o
 DEBFACTOROBJ = 	$(DEBFACTOROBJ2) $(DEBFACTOROBJ1)
Index: libfac/charset/debug.cc
===================================================================
--- libfac/charset/debug.cc	(revision a1ab2ad335673d42afccba3164861a0ec1b2e025)
+++ 	(revision )
@@ -1,38 +1,0 @@
-/* Copyright 1997 Michael Messollen. All rights reserved. */
-////////////////////////////////////////////////////////////
-// static char * rcsid = "$Id: debug.cc,v 1.2 1997-09-12 07:19:43 Singular Exp $ ";
-////////////////////////////////////////////////////////////
-static int deb_level;
-char * deb_level_msg = 0;
-
-void deb_inc_level()
-{
-    int i;
-    deb_level++;
-    if ( deb_level_msg != 0 )
-	delete [] deb_level_msg;
-    deb_level_msg = new char[3*deb_level+1];
-    for ( i = 0; i < 3*deb_level; i++ )
-	deb_level_msg[i] = ' ';
-    deb_level_msg[3*deb_level] = '\0';
-}
-
-void deb_dec_level()
-{
-    if ( deb_level > 0 ) {
-	int i;
-	deb_level--;
-	delete [] deb_level_msg;
-	deb_level_msg = new char[3*deb_level+1];
-	    for ( i = 0; i < 3*deb_level; i++ )
-		deb_level_msg[i] = ' ';
-	deb_level_msg[3*deb_level] = '\0';
-    }
-}
-
-/*
-$Log: not supported by cvs2svn $
-Revision 1.1  1997/01/17 05:14:54  michael
-Initial revision
-
-*/
Index: libfac/factor/debug.cc
===================================================================
--- libfac/factor/debug.cc	(revision a1ab2ad335673d42afccba3164861a0ec1b2e025)
+++ 	(revision )
@@ -1,40 +1,0 @@
-/* Copyright 1996 Michael Messollen. All rights reserved. */
-////////////////////////////////////////////////////////////
-// emacs edit mode for this file is -*- C++ -*-
-// static char * rcsid = "$Id: debug.cc,v 1.3 1997-09-12 07:19:55 Singular Exp $ ";
-////////////////////////////////////////////////////////////
-static int deb_level;
-char * deb_level_msg = 0;
-
-void deb_inc_level()
-{
-    int i;
-    deb_level++;
-    if ( deb_level_msg != 0 )
-	delete [] deb_level_msg;
-    deb_level_msg = new char[3*deb_level+1];
-    for ( i = 0; i < 3*deb_level; i++ )
-	deb_level_msg[i] = ' ';
-    deb_level_msg[3*deb_level] = '\0';
-}
-
-void deb_dec_level()
-{
-    if ( deb_level > 0 ) {
-	int i;
-	deb_level--;
-	delete [] deb_level_msg;
-	deb_level_msg = new char[3*deb_level+1];
-	    for ( i = 0; i < 3*deb_level; i++ )
-		deb_level_msg[i] = ' ';
-	deb_level_msg[3*deb_level] = '\0';
-    }
-}
-
-////////////////////////////////////////////////////////////
-/*
-$Log: not supported by cvs2svn $
-Revision 1.1  1996/01/17 05:14:54  michael
-Initial revision
-
-*/
Index: libfac/factor/debug.h
===================================================================
--- libfac/factor/debug.h	(revision a1ab2ad335673d42afccba3164861a0ec1b2e025)
+++ libfac/factor/debug.h	(revision 6742c89cf0ef92778f8b9ab55e697d7ff897f47a)
@@ -1,5 +1,5 @@
 /* Copyright 1996 Michael Messollen. All rights reserved. */
 ////////////////////////////////////////////////////////////
-// static char * rcsid = "$Id: debug.h,v 1.4 2006-05-16 14:46:50 Singular Exp $" ;
+// static char * rcsid = "$Id: debug.h,v 1.5 2007-10-10 17:52:39 Singular Exp $" ;
 ////////////////////////////////////////////////////////////
 // It is possible to include this file multiple times for different 
@@ -35,7 +35,7 @@
 
 #ifdef DEBUGOUTPUT
-void deb_inc_level();
-void deb_dec_level();
-extern char * deb_level_msg;
+void deb_inc_level(); // use this helper routines from factory
+void deb_dec_level(); // use this helper routines from factory
+extern char * deb_level_msg; // from factory
 #define DEBINCLEVEL(stream,msg) \
 (stream << "\n" << deb_level_msg << "entering << " << msg << " >>" << "\n", deb_inc_level())
@@ -64,4 +64,7 @@
 /*
 $Log: not supported by cvs2svn $
+Revision 1.4  2006/05/16 14:46:50  Singular
+*hannes: gcc 4.1 fixes
+
 Revision 1.3  1997/09/12 07:19:55  Singular
 * hannes/michael: libfac-0.3.0