Index: Singular/MinorInterface.cc
===================================================================
--- Singular/MinorInterface.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ Singular/MinorInterface.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -100,5 +100,5 @@
   /* containers for all upcoming results: */
   IntMinorValue theMinor;
-  int value = 0;
+  // int value = 0;
   int collectedMinors = 0;
   int characteristic = 0; if (currRing != 0) characteristic = rChar(currRing);
@@ -323,5 +323,5 @@
   /* containers for all upcoming results: */
   IntMinorValue theMinor;
-  int value = 0;
+  // int value = 0;
   int collectedMinors = 0;
   int characteristic = 0; if (currRing != 0) characteristic = rChar(currRing);
Index: Singular/emacs.cc
===================================================================
--- Singular/emacs.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ Singular/emacs.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -107,8 +107,10 @@
   char* singular = NULL;
   char* emacs = NULL;
+#ifndef TSINGULAR
   char* emacs_dir = NULL;
   char* emacs_load = NULL;
+  char cwd[MAXPATHLEN];
+#endif
   int no_emacs_call = 0;
-  char cwd[MAXPATHLEN];
 
   // parse-cmdline options
Index: Singular/fehelp.cc
===================================================================
--- Singular/fehelp.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ Singular/fehelp.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -980,5 +980,5 @@
 {
   char sys[MAX_SYSCMD_LEN];
-  char url[MAXPATHLEN];
+  // char url[MAXPATHLEN];
   const char *p=heHelpBrowsers[br].action;
   if (p==NULL) {PrintS("no action ?\n"); return;}
@@ -1063,5 +1063,5 @@
   }
   Print("running `%s`\n",sys);
-  int dummy=system(sys);
+  /*int dummy=*/ (void) system(sys);
 }
 
@@ -1219,5 +1219,5 @@
   while(!feof(index))
   {
-    char* dummy=fgets(buffer, BUF_LEN, index); /* */
+    // char* dummy=fgets(buffer, BUF_LEN, index); /* */
     (void)sscanf(buffer, "Node:%[^\177]\177%ld\n", Index, &offset);
     for(p=Index; *p; p++) *p = tolow(*p);/* */
Index: Singular/fevoices.cc
===================================================================
--- Singular/fevoices.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ Singular/fevoices.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -40,5 +40,5 @@
 // this is an upper limit for the size of monomials/numbers read via the interpreter
 #define MAX_FILE_BUFFER 4*4096
-static long feBufferLength=INITIAL_PRINT_BUFFER;
+// static long feBufferLength=INITIAL_PRINT_BUFFER;
 static char * feBuffer=(char *)omAlloc(INITIAL_PRINT_BUFFER);
 
Index: Singular/fglm.cc
===================================================================
--- Singular/fglm.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ Singular/fglm.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -288,9 +288,9 @@
 
     idhdl destRingHdl = currRingHdl;
-    ring destRing = currRing;
+    // ring destRing = currRing;
     ideal destIdeal = NULL;
     idhdl sourceRingHdl = (idhdl)first->data;
     rSetHdl( sourceRingHdl );
-    ring sourceRing = currRing;
+    // ring sourceRing = currRing;
 
     int * vperm = (int *)omAlloc0( (currRing->N+1)*sizeof( int ) );
Index: Singular/ipid.cc
===================================================================
--- Singular/ipid.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ Singular/ipid.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -243,5 +243,5 @@
   idhdl h;
   s=omStrDup(s);
-  idhdl *save_root=root;
+  // idhdl *save_root=root;
   if (t==PACKAGE_CMD)
   {
Index: Singular/iplib.cc
===================================================================
--- Singular/iplib.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ Singular/iplib.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -279,5 +279,5 @@
     // load example
     fseek(fp, pi->data.s.example_start, SEEK_SET);
-    char *dummy=fgets(buf, sizeof(buf), fp); // skip line with "example"
+    /*char *dummy=*/ (void) fgets(buf, sizeof(buf), fp); // skip line with "example"
     procbuflen = pi->data.s.proc_end - pi->data.s.example_start - strlen(buf);
     //Print("Example=%ld-%ld=%d\n", pi->data.s.proc_end,
@@ -755,7 +755,7 @@
   const char *suffix[] = { "", ".lib", ".so", ".sl", NULL };
   int i = 0;
-  FILE *fp;
-  package pack;
-  idhdl packhdl;
+  // FILE *fp;
+  // package pack;
+  // idhdl packhdl;
   lib_types LT;
   for(i=0; suffix[i] != NULL; i++)
@@ -828,12 +828,12 @@
 {
   char libnamebuf[128];
-  procinfov pi;
-  idhdl h;
+  // procinfov pi;
+  // idhdl h;
   idhdl pl;
-  idhdl hl;
-  long pos = 0L;
+  // idhdl hl;
+  // long pos = 0L;
   char *plib = iiConvName(newlib);
   FILE * fp = feFopen( newlib, "r", libnamebuf, tellerror );
-  int lines = 1;
+  // int lines = 1;
   BOOLEAN LoadResult = TRUE;
 
@@ -906,5 +906,5 @@
     int save=yylineno;
     myynest++;
-    procinfo *pi=(procinfo*)IDDATA(h);
+    // procinfo *pi=(procinfo*)IDDATA(h);
     //PrintS("mod_init found\n");
     iiMake_proc(h,p,NULL);
@@ -1178,9 +1178,9 @@
                                BOOLEAN pstatic,
                                BOOLEAN(*func)(leftv res, leftv v)));
-  SModulFunc_t fktn;
+  // SModulFunc_t fktn;
   idhdl pl;
   char *plib = iiConvName(newlib);
-  BOOLEAN RET=TRUE;
-  int token;
+  // BOOLEAN RET=TRUE;
+  // int token;
 
   pl = IDROOT->get(plib,0);
Index: Singular/ipprint.cc
===================================================================
--- Singular/ipprint.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ Singular/ipprint.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -303,5 +303,5 @@
   if (print)
   {
-    BOOLEAN r=FALSE;
+    // BOOLEAN r=FALSE;
     leftv h=u;
     leftv hh;
Index: Singular/janet.cc
===================================================================
--- Singular/janet.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ Singular/janet.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -33,8 +33,8 @@
 
 //------GLOBALS-------
-static int m_s,v_s,vectorized,VarN1,offset;
+static int /*m_s,v_s,vectorized,VarN1,*/offset;
 static jList *T,*Q;
 static TreeM *G;
-static Poly *phD;
+// static Poly *phD;
 static NodeM *FreeNodes;
 static int degree_compatible;
@@ -193,5 +193,5 @@
 {
   Poly *f;
-  int g1,f1,gg;
+  // int g1,f1,gg;
 
   if ((f=is_div_(F,p->lead))==NULL) return;
@@ -246,5 +246,5 @@
 
   //if (TEST_OPT_PROT) { PrintS("R"); mflush(); }
-  int old_size, count;
+  int /*old_size, */count;
   count=0;
   while(f && p->root)
@@ -303,6 +303,6 @@
 int ValidatePoly(Poly *x, TreeM *F)
 {
-  Poly *f,*g;
-  int g1,f1;
+  Poly /*f,*/*g;
+  // int g1,f1;
 
   if (x->root) return 1;
@@ -971,5 +971,5 @@
 }
 
-static Poly *h,*f;
+static Poly *h/*,*f*/;
 
 void insert_in_G(Poly *x)
@@ -998,5 +998,5 @@
 int ComputeBasis(jList *_lT,jList *_lQ)
 {
-  int gb_l,i,ret_value=1;
+  // int gb_l,i,ret_value=1;
 
   T=_lT; Q=_lQ;
Index: Singular/links/ndbm.cc
===================================================================
--- Singular/links/ndbm.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ Singular/links/ndbm.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -150,5 +150,5 @@
 {
   register int i;
-  datum item;
+  // datum item;
 
   if (dbm_error(db))
Index: Singular/links/pipeLink.cc
===================================================================
--- Singular/links/pipeLink.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ Singular/links/pipeLink.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -166,5 +166,5 @@
     else
     {
-      fd_set  mask, fdmask;
+      fd_set  mask/*, fdmask*/;
       struct timeval wt;
       /* Don't block. Return socket status immediately. */
Index: Singular/links/ssiLink.cc
===================================================================
--- Singular/links/ssiLink.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ Singular/links/ssiLink.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -289,5 +289,5 @@
   fprintf(d->f_write,"%d ",pLength(p));//number of terms
   SSI_UNBLOCK_CHLD;
-  int i;
+  int j;
 
   while(p!=NULL)
@@ -298,5 +298,5 @@
     fprintf(d->f_write,"%ld ",p_GetComp(p,d->r));//component
 
-    for(int j=1;j<=rVar(d->r);j++)
+    for(j=1;j<=rVar(d->r);j++)
     {
       fprintf(d->f_write,"%ld ",p_GetExp(p,j,d->r ));//x^j
@@ -416,6 +416,6 @@
   l=s_readint(d->f_read);
   buf=(char*)omAlloc0(l+1);
-  int c =s_getc(d->f_read); /* skip ' '*/
-  int ll=s_readbytes(buf,l,d->f_read);
+  /*int c =*/ (void) s_getc(d->f_read); /* skip ' '*/
+  /*int ll=*/ (void) s_readbytes(buf,l,d->f_read);
   //if (ll!=l) printf("want %d, got %d bytes\n",l,ll);
   buf[l]='\0';
@@ -528,5 +528,5 @@
 {
 /* syntax is <ch> <N> <l1> <v1> ...<lN> <vN> <number of orderings> <ord1> <block0_1> <block1_1> .... */
-  int ch, N,i,l;
+  int ch, N,i/*,l*/;
   char **names;
   ch=s_readint(d->f_read);
@@ -748,5 +748,5 @@
 {
   ssiInfo *d=(ssiInfo*)l->data;
-  int throwaway=s_readint(d->f_read);
+  /*int throwaway=*/ (void) s_readint(d->f_read);
   char *name=ssiReadString(d);
   int tok;
@@ -891,5 +891,5 @@
         int sockfd, newsockfd, portno, clilen;
         struct sockaddr_in serv_addr, cli_addr;
-        int n;
+        // int n;
         sockfd = socket(AF_INET, SOCK_STREAM, 0);
         if(sockfd < 0)
@@ -952,5 +952,5 @@
         int sockfd, newsockfd, portno, clilen;
         struct sockaddr_in serv_addr, cli_addr;
-        int n;
+        // int n;
         sockfd = socket(AF_INET, SOCK_STREAM, 0);
         if(sockfd < 0)
@@ -1034,5 +1034,5 @@
       {
         char* host = (char*)omAlloc(256);
-        int sockfd, portno, n;
+        int sockfd, portno/*, n*/;
         struct sockaddr_in serv_addr;
         struct hostent *server;
@@ -1485,5 +1485,5 @@
   && (strcmp(request, "read") == 0))
   {
-    fd_set  mask, fdmask;
+    fd_set  mask/*, fdmask*/;
     struct timeval wt;
     if (s_isready(d->f_read)) return "ready";
@@ -1810,5 +1810,5 @@
   }
   int portno;
-  int n;
+  // int n;
   ssiReserved_sockfd = socket(AF_INET, SOCK_STREAM, 0);
   if(ssiReserved_sockfd < 0)
Index: Singular/utils.cc
===================================================================
--- Singular/utils.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ Singular/utils.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -158,6 +158,6 @@
 void printpi(procinfov pi)
 {
-  char *buf, name[256];
-  int len1, len2;
+  // char *buf, name[256];
+  // int len1, len2;
   /* pi->libname is badly broken -- use file, instead */
   FILE *fp = fopen( lib_file, "rb");
Index: dyn_modules/bigintm/bigintm.cc
===================================================================
--- dyn_modules/bigintm/bigintm.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ dyn_modules/bigintm/bigintm.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -46,5 +46,5 @@
   assume( l->Typ() == bigintm_type_id );
   
-  blackbox *ll=getBlackboxStuff(l->Typ());
+  // blackbox *ll=getBlackboxStuff(l->Typ());
   
   if (r->Typ()>MAX_TOK)
@@ -52,5 +52,5 @@
     if (bigintm_type_id == r->Typ())
     {
-      blackbox *rr=getBlackboxStuff(r->Typ());
+      // blackbox *rr=getBlackboxStuff(r->Typ());
       
       if (l->Data()!=NULL) { number n1=(number)l->Data(); n_Delete(&n1,coeffs_BIGINT); }
@@ -126,5 +126,5 @@
   assume( a1->Typ() == bigintm_type_id );
   
-  blackbox *a=getBlackboxStuff(a1->Typ());
+  // blackbox *a=getBlackboxStuff(a1->Typ());
   number n1=(number)a1->Data(); 
   switch(op)
Index: dyn_modules/syzextra/mod_main.cc
===================================================================
--- dyn_modules/syzextra/mod_main.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ dyn_modules/syzextra/mod_main.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -819,5 +819,5 @@
 static BOOLEAN reduce_syz(leftv res, leftv h)
 {
-  const ring r = currRing;
+  // const ring r = currRing;
 
   if ( !( (h!=NULL) && (h->Typ()==VECTOR_CMD || h->Typ()==POLY_CMD) ) )
Index: dyn_modules/syzextra/myNF.cc
===================================================================
--- dyn_modules/syzextra/myNF.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ dyn_modules/syzextra/myNF.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -218,5 +218,5 @@
   // only global: avoid normalization, return a multiply of NF
   poly   p;
-  int   i;
+  // int   i;
 
   //if ((idIs0(F))&&(Q==NULL))
Index: kernel/fast_maps.cc
===================================================================
--- kernel/fast_maps.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ kernel/fast_maps.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -354,5 +354,5 @@
 {
   ring src_r, dest_r;
-  ideal dest_id, res_id;
+  ideal dest_id/*, res_id*/;
   int length = 0;
   BOOLEAN no_sort;
Index: kernel/fglmgauss.cc
===================================================================
--- kernel/fglmgauss.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ kernel/fglmgauss.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -73,9 +73,8 @@
 gaussReducer::~gaussReducer()
 {
-    int k;
-
 #ifndef HAVE_EXPLICIT_CONSTR
     delete [] elems;
 #else
+    int k;
     for ( k= size; k > 0; k-- )
         elems[k].~gaussElem();
@@ -159,5 +158,5 @@
 {
     // fglmASSERT( size < max );
-    number fac;
+    // number fac;
     // find the pivot-element in v:
 
Index: kernel/gr_kstd2.cc
===================================================================
--- kernel/gr_kstd2.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ kernel/gr_kstd2.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -972,5 +972,5 @@
   assume(rIsPluralRing(currRing));
 
-  int i;
+  // int i;
 //  idhdl h;
  /* setting global variables ------------------- */
@@ -1070,9 +1070,9 @@
   assume(currRing->OrdSgn != -1); // no mora!!! it terminates only for global ordering!!! (?)
 
-  intvec *w=NULL;
-  intvec *hilb=NULL;
+  // intvec *w=NULL;
+  // intvec *hilb=NULL;
   int   olddeg,reduc;
   int red_result=1;
-  int hilbeledeg=1,hilbcount=0,minimcnt=0;
+  int /*hilbeledeg=1,*/hilbcount=0/*,minimcnt=0*/;
 
   initBuchMoraCrit(strat); /*set Gebauer, honey, sugarCrit*/
Index: kernel/ideals.cc
===================================================================
--- kernel/ideals.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ kernel/ideals.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -939,5 +939,5 @@
              BOOLEAN isSB, BOOLEAN divide, matrix *unit)
 {
-  int lsmod =id_RankFreeModule(submod,currRing), i, j, k;
+  int lsmod =id_RankFreeModule(submod,currRing), j, k;
   int comps_to_add=0;
   poly p;
Index: kernel/kspoly.cc
===================================================================
--- kernel/kspoly.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ kernel/kspoly.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -394,5 +394,6 @@
   poly a1 = pNext(p1), a2 = pNext(p2);
   number lc1 = pGetCoeff(p1), lc2 = pGetCoeff(p2);
-  int co=0, ct = ksCheckCoeff(&lc1, &lc2, currRing->cf); // gcd and zero divisors
+  int co=0/*, ct = ksCheckCoeff(&lc1, &lc2, currRing->cf)*/; // gcd and zero divisors
+  (void) ksCheckCoeff(&lc1, &lc2, currRing->cf);
 
   int l1=0, l2=0;
Index: kernel/kstd2.cc
===================================================================
--- kernel/kstd2.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ kernel/kstd2.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -197,5 +197,5 @@
   int a_ind2 = ind2(a);
 
-  NATNUMBER k = 1;
+  // NATNUMBER k = 1;
   // of interest is only k_ind2, special routine for improvement ... TODO OLIVER
   for (int i = 1; i <= leadRing->N; i++)
@@ -303,9 +303,9 @@
   if (strat->tl<0) return 1;
 
-  int at,i;
+  int at/*,i*/;
   long d;
   int j = 0;
   int pass = 0;
-  poly zeroPoly = NULL;
+  // poly zeroPoly = NULL;
 
 // TODO warum SetpFDeg notwendig?
Index: kernel/kstdfac.cc
===================================================================
--- kernel/kstdfac.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ kernel/kstdfac.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -161,5 +161,5 @@
 kStrategy kStratCopy(kStrategy o)
 {
-  int i;
+  // int i;
   assume(kTest_TS(o));
   kStrategy s=new skStrategy;
Index: kernel/kutil.cc
===================================================================
--- kernel/kutil.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ kernel/kutil.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -846,5 +846,5 @@
 {
   int i, j;
-  BOOLEAN ret = TRUE;
+  // BOOLEAN ret = TRUE;
   kFalseReturn(kTest(strat));
 
@@ -1740,5 +1740,5 @@
               // the corresponding signatures for criteria checks
   LObject  Lp;
-  poly last;
+  // poly last;
   poly pSigMult = p_Copy(pSig,currRing);
   poly sSigMult = p_Copy(strat->sig[i],currRing);
@@ -8828,5 +8828,5 @@
   int j;
 
-  poly q, s;
+  poly q/*, s*/;
 
   // for the 0th shift: insert the orig. pair
Index: kernel/preimage.cc
===================================================================
--- kernel/preimage.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ kernel/preimage.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -78,5 +78,5 @@
   
   int i,j;
-  poly p,pp,q;
+  poly p,/*pp,*/q;
   ideal temp1;
   ideal temp2;
Index: kernel/syz.cc
===================================================================
--- kernel/syz.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ kernel/syz.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -222,5 +222,5 @@
 void syGaussForOne(ideal syz, int elnum, int ModComp,int from,int till)
 {
-  int k,j,i,lu;
+  int /*k,j,i,*/lu;
   poly unit1,unit2;
   poly actWith=syz->m[elnum];
@@ -249,5 +249,5 @@
 static void syDeleteAbove1(ideal up, int k)
 {
-  poly p,pp;
+  poly p/*,pp*/;
   if (up!=NULL)
   {
Index: kernel/syz0.cc
===================================================================
--- kernel/syz0.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ kernel/syz0.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -173,9 +173,9 @@
   if (Fl==0) return result;
 
-  int i,j,l,k,totalToRed,ecartToRed,kk,kkk;
+  int i,j,l,k,totalToRed,ecartToRed,kk;
   int bestEcart,totalmax,rkF,Sl=0,smax,tmax,tl;
   int *ecartS, *ecartT, *totalS,
     *totalT=NULL, *temp=NULL;
-  polyset pairs,S,T,ST,oldF;
+  polyset pairs,S,T,ST/*,oldF*/;
   poly p,q,toRed;
   BOOLEAN notFound = FALSE;
@@ -342,5 +342,5 @@
 #else
           l = (**modcomp)[pGetComp(toRed)];
-          kkk = (**modcomp)[pGetComp(toRed)+1];
+          int kkk = (**modcomp)[pGetComp(toRed)+1];
           while ((l<kkk) && (notFound))
 #endif
@@ -510,9 +510,9 @@
   ideal result=idInit(16,Fl);
   int i,j,l,k,kkk,rkF,Sl=0,syComponentOrder=currRing->ComponentOrder;
-  int fstart,wend,lini,ltR,gencQ=0;
+  int /*fstart,*/wend,lini,ltR,gencQ=0;
   intvec *newmodcomp;
   int *Flength;
   polyset pairs,F=arg->m,*Shdl=&(result->m);
-  poly p,q,toRed,syz,lastmonom,multWith;
+  poly /*p,*/q,toRed,syz,lastmonom,multWith;
   BOOLEAN isNotReduced=TRUE;
 
@@ -577,5 +577,5 @@
         {
           number an=nCopy(pGetCoeff(F[k])),bn=nCopy(pGetCoeff(F[j]));
-          int ct = ksCheckCoeff(&an, &bn, currRing->cf);
+          /*int ct =*/ (void) ksCheckCoeff(&an, &bn, currRing->cf);
           syz = pCopy(pairs[k]);
           //syz->coef = nCopy(F[k]->coef);
@@ -867,5 +867,5 @@
   int i,syzIndex = 0,j=0;
   intvec * modcomp=NULL,*w=NULL;
-  int ** wv=NULL;
+  // int ** wv=NULL;
   tHomog hom=(tHomog)idHomModule(arg,NULL,&w);
   ring origR = currRing;
@@ -1017,5 +1017,5 @@
   if (fr==NULL) return NULL;
 
-  int typ0;
+  // int typ0;
   syStrategy result=(syStrategy)omAlloc0(sizeof(ssyStrategy));
   result->length=rl;
Index: kernel/syz3.cc
===================================================================
--- kernel/syz3.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ kernel/syz3.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -112,5 +112,5 @@
             ideal old_repr,int old_tl, poly next_generator,resolvente totake)
 {
-  int index=syzstr->length-1,i,j,start,start_ttk,new_tl;
+  int index=syzstr->length-1,i,j,start,start_ttk/*,new_tl*/;
   poly gen=pCopy(next_generator),p;
   poly neg_gen=pCopy(next_generator);
@@ -656,5 +656,5 @@
   int toReplace=0;
   int i,j,syz_l;
-  number coefgcd,n;
+  number /*coefgcd,*/n;
   polyset ogm=old_generators->m;
   poly p;
@@ -941,5 +941,5 @@
   int * ogm_l=(int*)omAlloc0(IDELEMS(syzstr->res[index])*sizeof(int));
   int * orp_l=(int*)omAlloc0(IDELEMS(syzstr->orderedRes[index])*sizeof(int));
-  int t1=IDELEMS(syzstr->res[index]),t2=IDELEMS(syzstr->orderedRes[index]);
+  // int t1=IDELEMS(syzstr->res[index]),t2=IDELEMS(syzstr->orderedRes[index]);
  
   for (j=IDELEMS(syzstr->res[index])-1;j>=0;j--) 
@@ -1753,5 +1753,5 @@
 syStrategy syKosz(ideal arg,int * length)
 {
-  int i,j,jj,k=0,index=0,rk_arg,next_syz=0;
+  int i,j,jj,k=0,index=0,rk_arg/*,next_syz=0*/;
   int crit_comp,t_comp,next_deg,old_tl;
   ideal temp=NULL,old_ideal,old_repr;
Index: libpolys/polys/ext_fields/algext.cc
===================================================================
--- libpolys/polys/ext_fields/algext.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ libpolys/polys/ext_fields/algext.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -972,5 +972,5 @@
 {
   if (n_IsZero(a, src)) return NULL;
-  int p = rChar(dst->extRing);
+  // int p = rChar(dst->extRing);
 
   number q = nlModP(a, src, dst->extRing->cf);
Index: libpolys/polys/ext_fields/transext.cc
===================================================================
--- libpolys/polys/ext_fields/transext.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ libpolys/polys/ext_fields/transext.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -1539,5 +1539,5 @@
   assume( n_Test(a, src) );
   if (n_IsZero(a, src)) return NULL;
-  int p = rChar(dst->extRing);
+  // int p = rChar(dst->extRing);
   number q = nlModP(a, src, dst->extRing->cf);
 
Index: libpolys/polys/monomials/ring.cc
===================================================================
--- libpolys/polys/monomials/ring.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ libpolys/polys/monomials/ring.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -1683,5 +1683,5 @@
     return FALSE;
 
-  int i, j;
+  int i/*, j*/;
 
   if (r1 == r2) return TRUE;
Index: libpolys/polys/nc/ncSACache.cc
===================================================================
--- libpolys/polys/nc/ncSACache.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ libpolys/polys/nc/ncSACache.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -27,8 +27,10 @@
 #endif
 
+#if OUTPUT
 namespace 
 {
   static const char* m_Typenames[2] = {"lookup", "store"};
 }
+#endif
 
 #include <coeffs/numbers.h>
Index: libpolys/polys/templates/p_Procs_Set.h
===================================================================
--- libpolys/polys/templates/p_Procs_Set.h	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ libpolys/polys/templates/p_Procs_Set.h	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -198,7 +198,7 @@
 void p_Debug_GetSpecNames(const ring r, const char* &field, const char* &length, const char* &ord)
 {
-  p_Field     e_field = p_FieldIs(r);
-  p_Length    e_length = p_LengthIs(r);
-  p_Ord       e_ord = p_OrdIs(r);
+  /*p_Field     e_field =*/ (void) p_FieldIs(r);
+  /*p_Length    e_length =*/ (void) p_LengthIs(r);
+  /*p_Ord       e_ord =*/ (void) p_OrdIs(r);
 
   field  = p_FieldEnum_2_String(p_FieldIs(r));
Index: libpolys/reporter/dError.cc
===================================================================
--- libpolys/reporter/dError.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ libpolys/reporter/dError.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -50,5 +50,5 @@
 #ifdef HAVE_EXECINFO_H
 #define SIZE 50
-  void *buffer[SIZE+1]; int i, j, k, ret, status; char **ptr; char *demangledName; char *s; char *ss;
+  void *buffer[SIZE+1]; int ret; 
 #endif
 
@@ -73,7 +73,11 @@
   backtrace_symbols_fd(buffer, ret, STDERR_FILENO); // execinfo.h
 #else
-  ptr = backtrace_symbols( buffer, ret ); // execinfo.h
+  char **ptr = backtrace_symbols( buffer, ret ); // execinfo.h
 
-  for (i = 0; i < ret; i++)
+  int status;
+  char *demangledName;
+  char *s; 
+  char *ss;
+  for (int i = 0; i < ret; i++)
   {
     status = -1;
Index: numeric/mpr_base.cc
===================================================================
--- numeric/mpr_base.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ numeric/mpr_base.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -1739,5 +1739,5 @@
 ideal resMatrixSparse::getMatrix()
 {
-  int i,j,cp;
+  int i,/*j,*/cp;
   poly pp,phelp,piter,pgls;
 
Index: numeric/mpr_inout.cc
===================================================================
--- numeric/mpr_inout.cc	(revision 367df95c40f03bb94a871481eb198951b3a42c85)
+++ numeric/mpr_inout.cc	(revision 6909cfb17ff34ff746782e3cb8cdb891e03521dd)
@@ -110,5 +110,5 @@
 {
   mprState state = mprOk;
-  int power;
+  // int power;
   int k;
 